WordClusterDictionary (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: WordClusterDictionary

# Class WordClusterDictionary

java.lang.Object
opennlp.tools.util.featuregen.WordClusterDictionary

All Implemented Interfaces:
  `SerializableArtifact`

public class WordClusterDictionary extends Object implements SerializableArtifact

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WordClusterDictionary.WordClusterDictionarySerializer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordClusterDictionary(InputStream in)`
  Read word2vec and clark clustering style lexicons.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getArtifactSerializerClass()`
  Retrieves the class which can serialize and recreate this artifact.
  `String`
  `lookupToken(String string)`
  `void`
  `serialize(OutputStream out)`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WordClusterDictionary

    public WordClusterDictionary(InputStream in) throws IOException
    Read word2vec and clark clustering style lexicons.
    Parameters:
      `in` - the `InputStream` to read from.
    Throws:
      `IOException` - Thrown if IO errors occurred during read.

- ## Method Details

  - ### lookupToken

    public String lookupToken(String string)

  - ### serialize

    public void serialize(OutputStream out) throws IOException
    Throws:
      `IOException`

  - ### getArtifactSerializerClass

    public Class<?> getArtifactSerializerClass()
    Description copied from interface: `SerializableArtifact`
    Retrieves the class which can serialize and recreate this artifact.

    Note: The serializer class must have a `public zero argument constructor` or an exception is thrown during model serialization/loading.

    Specified by:
      `getArtifactSerializerClass` in interface `SerializableArtifact`
    Returns:
      The corresponding `ArtifactSerializer` class.